package com.ningdatech.pmapi.expert.model.query;

import com.ningdatech.pmapi.meta.model.bo.RegionContainsBO;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/8/5 上午10:52
 */
@Data
public class ListExpertQuery {

    private Integer limit;
    private Integer offset;

    /**
     * 专家姓名(精准匹配)
     */
    private String expertName;

    /**
     * 工作单位(模糊匹配)
     */
    private String company;

    /**
     * 专家账号状态
     */
    private List<String> expertAccountStatusList;

    /**
     * 区域编码
     */
    private String regionCode;

    /**
     * 区域级别
     */
    private Integer regionLevel;

    /**
     * 专家管理区域范围
     */
    List<RegionContainsBO> regionContainsList;

    /**
     * 专家字典信息
     */
    private List<ExpertDictionaryQuery> expertDictionaryQueryList;

    /**
     * 专家标签信息
     */
    private List<ExpertTagQuery> expertTagQueryList;

    private Boolean isDingUser;
}
