package com.ningdatech.pmapi.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 项目应用表
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-05
 */
@TableName("nd_project_application")
@ApiModel(value = "NdProjectApplication对象", description = "")
@Data
public class ProjectApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("应用ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("应用编码")
    private String appCode;

    @ApiModelProperty("是否初次建设 0否 1是")
    private Integer isFirst;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("删除时间")
    private LocalDateTime deleteOn;

    @ApiModelProperty("关联IRS现有应用")
    private String relatedExistsApplication;

    @ApiModelProperty("关联IRS现有应用-IRS应用编码")
    private String relatedExistsApplicationCode;

    @ApiModelProperty("应用类型")
    private String applicationType;

    @ApiModelProperty("建设层级 1:国家 2:省级 3:市级 4:县（市、区）")
    private Integer buildLevel;

    @ApiModelProperty("是否统建应用 0:否 1:是")
    private Integer isUniteBuild;

    @ApiModelProperty("统建类型 1:全省统建 2:全市统建")
    private Integer unionBuildKind;

    @ApiModelProperty("是否数改系统 0:否 1:是")
    private Integer isDigitalModification;

    @ApiModelProperty("数改系统 1: '党政机关整体智治',2: '数字政府',3: '数字经济',4: '数字社会',7: '数字文化',5: '数字法治',6: '一体化智能化公共数据平台', 8: '基层智治'   多个用英文,分隔")
    private String digitalModification;

    @ApiModelProperty("业务领域")
    private String bizDomain;

    @ApiModelProperty("发布端")
    private String publishSide;

    @ApiModelProperty("是否一本账场景应用名称 0:否 1:是")
    private Integer isAccountAppName;

    @ApiModelProperty("一本账应用名称")
    private String accountAppName;

    @ApiModelProperty("领域大脑一本账")
    private String domainBrainAccount;

    @ApiModelProperty("是否业务协同 0:否 1:是")
    private Integer isBizCooperate;

    @ApiModelProperty("业务协同描述")
    private String bizCooperateInfo;

    @ApiModelProperty("使用范围")
    private String usesRangeRemark;

    @ApiModelProperty("应用简介")
    private String applicationSummary;

    @ApiModelProperty("应用备注")
    private String applicationRemark;

    @ApiModelProperty("应用总投资测算明细-文件")
    private String applicationEstimateFile;

    @ApiModelProperty("等保级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer secrecyGrade;

    @ApiModelProperty("密码测评级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer passwordGrade;

    @ApiModelProperty("是否符合国家信息技术应用创新相关规范 0:否 1:是")
    private Integer nationalItSpec;

    @ApiModelProperty("是否使用政务云资源 0否 1是")
    private Integer useGovCloud;

    @ApiModelProperty("云资源类型")
    private String cloudsType;

    @ApiModelProperty("云资源基础规格")
    private String cloudsFoundationSpecifications;

    @ApiModelProperty("云资源台数")
    private Integer cloudsNumber;

    @ApiModelProperty("云资源用户描述")
    private String cloudsDescription;

    @ApiModelProperty("网络环境 1:政务内网 2:政务外网 3:互联网 4:业务专网 5:单机")
    private Integer netEnv;

    @ApiModelProperty("是否使用公共数据 0否 1是")
    private Integer useCommonData;

    @ApiModelProperty("数据名称")
    private String dataName;

    @ApiModelProperty("是否使用公共组件 0否 1是")
    private Integer useCommonComponent;

    @ApiModelProperty("使用的公共组件名称")
    private String commonComponents;

    @ApiModelProperty("是否产生公共组件 0否 1是")
    private Integer produceCommonComponent;

    @ApiModelProperty("预计产生组件名称")
    private String produceCommonComponents;

    @ApiModelProperty("试点任务名称")
    private String pilotTasksName;

    @ApiModelProperty("试点任务编号")
    private String pilotTasksCode;

    @ApiModelProperty("所属重大应用名称")
    private String importantTaskName;

    @ApiModelProperty("所属重大应用编号")
    private String importantTaskCode;

    @ApiModelProperty("所属子场景应用名称")
    private String subSceneApplicationName;

    @ApiModelProperty("试点文件")
    private String experimentsFile;

    @ApiModelProperty("申报单位名称")
    private String buildOrgName;

    @ApiModelProperty("申报单位编码")
    private String buildOrgCode;

    private Long createBy;

    private Long updateBy;

}
