package com.ningdatech.pmapi.provincial;

import cn.hutool.crypto.SecureUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.ningdatech.file.service.FileService;
import com.ningdatech.pmapi.AppTests;
import com.ningdatech.pmapi.projectdeclared.converter.ApplicationConverter;
import com.ningdatech.pmapi.projectdeclared.manage.PrequalificationDeclaredProjectManage;
import com.ningdatech.pmapi.projectlib.enumeration.ProjectStatusEnum;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import com.ningdatech.pmapi.projectlib.model.entity.ProjectApplication;
import com.ningdatech.pmapi.projectlib.service.IProjectApplicationService;
import com.ningdatech.pmapi.projectlib.service.IProjectService;
import com.ningdatech.pmapi.provincial.service.IJoinReviewProvincialBureauService;
import com.ningdatech.pmapi.todocenter.constant.TodoCenterContant;
import com.wflow.exception.BusinessException;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;

import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.UnsupportedEncodingException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Classname Test
 * @Description
 * @Date 2023/3/2 16:14
 * @Author PoffyZhang
 */
@Slf4j
public class Test extends AppTests{//

    @Autowired
    private PrequalificationDeclaredProjectManage prequalificationDeclaredProjectManage;

    @Autowired
    private IProjectService projectService;

    @Autowired
    private IProjectApplicationService applicationService;

    @Autowired
    private FileService fileService;

    @Autowired
    private IJoinReviewProvincialBureauService joinReviewProvincialBureauService;

    @org.junit.Test
    public void test() throws NoSuchAlgorithmException, UnsupportedEncodingException, InvalidKeyException {
//        Long timeStamp = System.currentTimeMillis()/1000;
        Long timeStamp = 1677750055L;
        String key = "7196317343a64e67895dc0375c098fe7";
        String url = "/api/v1/foreign/importantProView";
        String methed = "POST";
        String bytesToSign = methed + "\n" + url + "\n" + timeStamp + "\n" + key;

        log.info("" + bytesToSign);

        String secret  = "75152a97f20e4c4c854dc6301cf72ad4";
        String str = SecureUtil.hmacSha256(secret).digestBase64(bytesToSign,false);
        log.info("" + str);
    }

    @org.junit.Test
    public void Test222(){
        Project project = projectService.getById(340);
        prequalificationDeclaredProjectManage.directStartProcess(project,project.getPreStartUserId(),Boolean.FALSE);
    }

    @org.junit.Test
    public void Test3333(){
        String url = "http://devplat.oss-cn-hangzhou.aliyuncs.com/2023/04/13/5b2e1ef734e14437ba350ef97202c5b7.pdf?Expires=1681367401&OSSAccessKeyId=LTAI4GL7uypycnBjiRn55rMG&Signature=5PbIhpHNZvA2o8xYy8Ujw9Ibhl8%3D";
        String s = "Expires";
        System.out.println(url.replaceAll("&?" + s + "=[^&]*&", StringUtils.EMPTY));
    }

    @org.junit.Test
    public void Test4444(){
        // 对接省级联审的接口
        Project p = projectService.getById(448);

        List<ProjectApplication> applications = applicationService.list(Wrappers.lambdaQuery(ProjectApplication.class)
                .eq(ProjectApplication::getProjectId, p.getId()));
        if(!joinReviewProvincialBureauService.pushImportProject(
                ApplicationConverter.convertProject(p,applications,fileService))){
            throw new BusinessException("提交省级部门联审失败");
        }
        System.out.println("成功");
    }
}
